%define pypi_name m64py

BuildRequires: qt6-linguist pyside6-tools
Requires: mupen64plus
%define python_name python3-%{pypi_name}
Name:           python-%{pypi_name}
Version:        0.3.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A frontend for Mupen64Plus

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        GNU GPLv3 (FIXME:No SPDX)
URL:            https://m64py.sourceforge.net
Source:         m64py-%{version}.tar.gz

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  fdupes
BuildArch:      noarch

# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
A frontend for Mupen64Plus}

%description %_description

%package -n %{python_name}
Summary:        %{summary}

%description -n %{python_name} %_description

%prep
%autosetup -p1 -n m64py-%{version}
sed -i 's~find_executable("rcc")~find_executable("pyside6-rcc")~g; s~rcc_exe,s"-g",s"python"~rcc_exe~g;' setup.py



%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires 


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto

%files -n %{python_name} -f %{pyproject_files}

%changelog
%autochangelog

